<template>
  <div>
    <div>
      <div class="title-section">
        <p class="title">My account</p>
      </div>
      <div class="divider"></div>
    </div>
      <div class="user-details">
           <AccountForm :key="user.id"
                :id='user.id'
                :email='user.email'
                :username='user.username'
                :account_type='user.account_type'
                :edit='false'
                :usersEmails='usersEmails'
                :usersUsernames='usersUsernames'
            />
        </div>
        <div class="flex-content">
            <p class="title-secondary">My projects</p>
            <table>
                <tr>
                    <th>Name</th>
                    <th>Capacity</th>
                    <th>Lang</th>
                    <th>Role</th>
                    <th>Actions</th>
                </tr>
                <ProjectList v-for="(project) in userProjects" :key="project.id"
                    :userId='user.id'
                    :project='project.project'
                    :edit='false'
                    :role='project.role'
                    :createdBy='0'
                />
            </table>
        </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import AccountForm from '../components/Account/AccountForm'
import ProjectList from '../components/Account/ProjectList'

export default {
    name: 'Account',
    components: {
        AccountForm,
        ProjectList
    },
    data() {
        return {
            active: false,
            activeBtn: '',
            projects: {},
            usersEmails: [],
            usersUsernames: [],
        }
    },
    computed: {
        ...mapGetters([
            'user',
            'userProjects'
        ]),
    },
    created() {
      document.title = "WebSandBox | Account";
      this.$axios.get(process.env.VUE_APP_API_URL+'/users', {
            }).then(res => res.data.forEach(element => {
                if(this.user.email.toLowerCase() !== element.email.toLowerCase()){
                    this.usersEmails.push(element.email.toLowerCase())
                }
                if(this.user.username.toLowerCase() !== element.username.toLowerCase()){
                    this.usersUsernames.push(element.username.toLowerCase())
                }
            })
              
          )
    }
}
</script>

<style scoped>
.divider {
  border-top: solid 1px var(--color-primary-blue);
  height: 1px;
}

.project-list {
  padding: 20px;
  flex-wrap: wrap;
  display: flex;
  flex-direction: row;
  align-items: stretch;
}

.btn {
  padding: 10px 20px;
  color: #b38a8a;
  background-color: #e0dada;
  border-radius: 40px;
  font-size: 16px;
  cursor: pointer;
  outline: none;
  border: none;
  text-decoration: none;
}

.active {
  color: #decece;
  background-color: #6c8eb4;
}

.project-list > .project {
  padding: 20px;
  display: flex;
}

.filters {
  display: inline-flex;
}

.flex-content {
    display: flex;
    flex-direction: column;
    padding: 50px 20px;
}

.title-secondary {
    text-align: left;
    font-size: 16px;
    font-weight: 700;
    width:150px;
    color: var(--color-light);
    background-color: var(--color-secondary-blue);
	padding: 10px 30px;
    border-radius: 8px;
}

.title-section {
    justify-content: space-between;
}
table {
    width:100%;
    color:black;
    background-color: rgba(189, 189, 189,0.2);
}

tr {
    color:black;
}

th {
    color : var(--color-primary-pink);
    font-weight: bolder;
    height: 30px;
}
</style>